Support » Plugin: Wordfence Security - Firewall & Malware Scan » IMPOSSIVEL traduzir

  • murilo3245

    (@murilo3245)


    Eu realmente não entendo é o plugin de segurança para wordpress mais usado no mundo há anos, e ainda não disponibilizam uma maneira para os usuários traduzirem pelo menos as mensagens de alerta e e-mails de notificação para os clientes do site.

    Se você pretende fazer uma loja virtual ou outro tipo que necessita de login, está ferrado como eu. Meu site é em Portugues-BR, destinado a vendas no Brasil, como meu site pode parecer Profissional enviando mensagens de alerta e emails em Inglês para os meus clientes. Muitas pessoas não vão entender nada. Façam como nossos clientes se querem entender minha avaliação usem um Tradutor.

    Vou procurar outro Plugin que não mude as mensagens padrões wordpress enviadas em Portugues ou que eu possa pelo menos traduzir as mensagens enviadas ao meus clientes.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Support wfphil

    (@wfphil)

    Hi @murilo3245

    Thank you for the feedback.

    I see that you haven’t opened a support topic.

    We intend to release Wordfence in other languages in the future but we don’t have a timescale for when that will be implemented.

    When you said, “I’m going to look for another plugin that doesn’t change the standard WordPress messages sent in Portuguese or that I can at least translate the messages sent to my clients.”

    I think that you might be referring to the option Don’t let WordPress reveal valid users in login errors:

    https://www.wordfence.com/help/firewall/brute-force/#hide-valid-users

    If that is the cause of the issue then you can disable it. If it is something else then you are welcome to open a support topic as we can’t provide support in the reviews section.

    Thread Starter murilo3245

    (@murilo3245)

    Olá @wfphil,

    Não foi e não é minha intenção receber suporte, só quero deixar meu feedback mesmo, até porque, isso é um problema que se arrasta há mais de 3 anos, e a resposta é sempre a mesma. Cant Translate ERROR: The username or password you entered is incorrect. Eu Fiquei durante dias pesquisando, procurando nos arquivos do meu plugin de formulário achando que era com ele o problema da tradução.

    Eu já tive que desativar o reCAPTCHA, para não enviar os emails em inglês e evitar de exibir a mensagem de alerta “Verificação Necessária”. Se eu tiver que desativar tudo no plugin para “resolver os problemas com idioma”.Qual sentido de continuar usando ele?

    Eu entendo que para vocês, talvez isso não seja importante já que o foco é a segurança, mais acredite para nós é de extrema importância.
    Muitos assim como eu que querem, criar uma loja virtual e ter o seu negócio online profissional, isso se torna uma dor de cabeça.

    Eu realmente gostei do plugin mais assim não da pra usar, dei sorte de não ter comprado o premium ainda.

    Sem mais, Obrigado!

    Plugin Author WFSupport

    (@wfsupport)

    Obrigado pela sua resposta.

    Entendo que isso é importante para você e fizemos o código do plug-in completamente pronto para tradução, tanto quanto sei. Os serviços de tradução são muito caros, então não é algo que podemos fazer por capricho. A maioria dos nossos usuários são usuários gratuitos e, embora façamos o possível para acomodar solicitações de novos recursos, nem sempre conseguimos fazê-lo. É ainda mais complicado porque uma tradução nem sempre é “língua A para língua B”. Existem termos de segurança que são diferentes de idioma para idioma, portanto, o que pode ser lido bem em um idioma pode significar outra coisa em outro ou pode não fazer sentido algum. Isso aumenta significativamente o custo também.

    Embora não haja tradução oficial disponível, muitos membros da comunidade já estão traduzindo o plugin. Atualmente está disponível em chinês (China), tcheco, holandês, holandês (Bélgica), inglês (Canadá), inglês (África do Sul), inglês (EUA), polonês, espanhol (Argentina), espanhol (Colômbia), espanhol (Equador ) ), espanhol (Espanha) e espanhol (Venezuela). Se você quiser trabalhar na tradução para o seu idioma (português), você pode começar acessando este link para saber como:
    https://translate.wordpress.org/projects/wp-plugins/wordfence
    Isso não apenas resolveria seu problema, mas também ajudaria outras pessoas e é uma ótima maneira de retribuir à comunidade.

    Por fim, embora seu problema seja importante para você e a internacionalização seja importante para nós, segurança e proteção são nosso trabalho principal. Embora pareça injusto para você que nos concentremos nessas coisas primeiro, segurança e proteção são as razões pelas quais o plug-in existe. Se não pudéssemos focar neles não haveria razão para instalar o plugin, tradução em português ou não. Espero que isso ajude a explicar as coisas e aguardo seu trabalho em potencial para ajudar a traduzir o plug-in para todos.

    Tim

    • This reply was modified 4 months ago by WFSupport. Reason: Misspelling of original message
Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this review.